org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcResultSet

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.odbc.OdbcResultSet

    public class OdbcResultSet
    extends Object

Represents single result set.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Object>` `fetch(int maxSize)` Fetch up to specified number of rows of result set.
`Collection<OdbcColumnMeta>` `fieldsMeta()`
`boolean` `hasUnfetchedRows()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### hasUnfetchedRows

    public boolean hasUnfetchedRows()

Returns:
  `true` if has non-fetched rows.

#### fieldsMeta

    public Collection<OdbcColumnMeta> fieldsMeta()

Returns:
  Fields metadata of the current result set.

#### fetch

    public List<Object> fetch(int maxSize)

Fetch up to specified number of rows of result set.

Parameters:
  `maxSize` - Maximum number of records to fetch.
Returns:
  List of fetched records.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018